
import java_cup.runtime.Symbol;

/**
 * Just a simple extension to the Symbol class from
 * CUP.  
 */
public class Token extends Symbol {
	
	/**
	 * 
	 * @param id   The constant out of sym.java for this type of Token
	 * @param value The associated value, or null if no value is needed
	 * @param line The line from the source code where the Token appeared.
	 */
	public Token(int id, Object value, int line) {
		super(id, line, line, value);
	} 
	
	public String toString() {
		return "[" + this.sym + "," + this.value + "," + this.left + "]";
	}
}
